*This repository is part of the outcomes of the Specialist Task Force 620 focusing on the authoring of a World Representation as part of the ETSI ISG Augmented Reality Framework architecture (https://www.etsi.org/deliver/etsi_gs/ARF/001_099/003/01.01.01_60/gs_ARF003v010101p.pdf).*
*The set of the World Representation authoring components includes:*

*•	The C++ and C# source code for servers and clients generated from OpenAPI available here (https://forge.etsi.org/rep/arf/arf005)*

*•	A Unity plugin and a Unity editor for authoring and accessing a World Representation hosted on a World Storage server.*

*All these components are available under the ETSI Labs group “World Storage API Helpers”: https://labs.etsi.org/rep/arf/world-storage-api-helpers*

---

# Description

This is a Unity package to be included in Unity projects for accessing the ISG ARF World Storage. It contains the DLLs generated from the ISG ARF World Storage C# Client available at https://labs.etsi.org/rep/arf/world-storage-api-helpers/world-storage-csharp-client.

# How to checkout

This project should be directly added as package to a Unity project. This can either be done

- by checking it out into the `Packages` folder of the Unity project using the `git clone` command or
- by directly referencing the repository using the Package Manager integrated in Unity.

The second variant is recommended. It has been available since Unity 2020.

When cloning the package into the `Packages` folder of a Unity project which itself is a git project, then the package should be referenced as git submodule. How this is done is documented in the https://git-scm.com/book/en/v2/Git-Tools-Submodules. An example project provided by the ISG ARF using this approach is available at https://labs.etsi.org/rep/arf/world-storage-api-helpers/unity-world-storage-editor.

# How to update the client DLLs

To update the client DLLs,

- checkout the ISG ARF World Storage C# Client available at https://labs.etsi.org/rep/arf/world-storage-api-helpers/world-storage-csharp-client,
- build the ISG ARF World Storage C# Client as indicated in the corresponding `README.md` file,
- copy the content of the folder `generated_client/bin` of that project into the `Plugins` folder of this project,
- commit the changes of this project to the repository.

Please ensure always to use the newest version of the ISG ARF World Storage C# Client.
